module JournalEntryAccessor
  def self.included(base)
    base.class_eval do
      belongs_to :wallet
      belongs_to :top_up
      belongs_to :withdrawal
      has_one :currency, through: :wallet
      delegate :investor, to: :wallet
    end
  end
end