module TopUpAccessor
  def self.included(base)
    base.class_eval do
      belongs_to :wallet
      has_one :currency, through: :wallet
      belongs_to :channel, class_name: 'PaymentChannelByCurrency'
    end
  end
end