module TopUpDelegation
  module Klass
    def method_missing(method_sym, *args)
      scope = method_sym.to_s.upcase
      if TopUpConstants.constants.include?(scope.to_sym)
        scope_value = const_get scope
        if scope.split(/_/)[0] == 'STATUS'
          return where(status: scope_value)
        end
      end
      super
    end
  end
end