module WithdrawalAccessor
  def self.included(base)
    base.class_eval do
      belongs_to :wallet
      has_one :currency, through: :wallet
      delegate :investor, :investor_account, to: :wallet
    end
  end
end