module MemberDelegation
  module Instance
    def method_missing(method_sym, *args)
      if investor_account.respond_to?(method_sym)
        return investor_account.send(method_sym, *args)
      end
      if preference.respond_to?(method_sym)
        return preference.send(method_sym, *args)
      end
      if member_profile.respond_to?(method_sym)
        return member_profile.send(method_sym, *args)
      end
      super
    end
  end
end